ros-rolling-rcl-action (6.0.0-1jammy) jammy; urgency=high

  * doc update, ROS message accessibility depends on RMW implementation. (#1043 <https://github.com/ros2/rcl/issues/1043>)
  * Contributors: Tomoya Fujita

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 12 Apr 2023 00:00:00 -0000

ros-rolling-rcl-action (5.9.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 01 Mar 2023 00:00:00 -0000

ros-rolling-rcl-action (5.8.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 23 Feb 2023 00:00:00 -0000

ros-rolling-rcl-action (5.7.0-1jammy) jammy; urgency=high

  * Update rcl to C++17. (#1031 <https://github.com/ros2/rcl/issues/1031>)
  * Contributors: Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 13 Feb 2023 00:00:00 -0000

ros-rolling-rcl-action (5.6.0-1jammy) jammy; urgency=high

  * Reduce result_timeout to 10 seconds. (#1012 <https://github.com/ros2/rcl/issues/1012>)
  * [rolling] Update maintainers - 2022-11-07 (#1017 <https://github.com/ros2/rcl/issues/1017>)
  * Contributors: Audrow Nash, Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 05 Dec 2022 00:00:00 -0000

ros-rolling-rcl-action (5.5.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 02 Nov 2022 00:00:00 -0000

ros-rolling-rcl-action (5.4.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-rcl-action (5.4.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 29 Apr 2022 00:00:00 -0000

ros-rolling-rcl-action (5.3.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 26 Apr 2022 00:00:00 -0000

ros-rolling-rcl-action (5.3.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 05 Apr 2022 00:00:00 -0000

ros-rolling-rcl-action (5.2.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 31 Mar 2022 00:00:00 -0000

ros-rolling-rcl-action (5.2.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 24 Mar 2022 00:00:00 -0000

ros-rolling-rcl-action (5.1.0-1jammy) jammy; urgency=high

  * Add Events Executor (#839 <https://github.com/ros2/rcl/issues/839>)
  * Install includes it include/${PROJECT_NAME} (#959 <https://github.com/ros2/rcl/issues/959>)
  * Contributors: Shane Loretz, iRobot ROS

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-rolling-rcl-action (5.0.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-rolling-rcl-action (5.0.0-1jammy) jammy; urgency=high

  * Fix up documentation build for rcl_action when using rosdoc2 (#937 <https://github.com/ros2/rcl/issues/937>)
  * Contributors: Michel Hidalgo

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 14 Dec 2021 00:00:00 -0000

ros-rolling-rcl-action (4.0.0-1jammy) jammy; urgency=high

  * Fix expired goals capacity of action server (#931 <https://github.com/ros2/rcl/issues/931>)
  * Contributors: spiralray

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 16 Sep 2021 00:00:00 -0000

ros-rolling-rcl-action (3.2.0-1jammy) jammy; urgency=high

  * Wait for action server in rcl_action comm tests. (#919 <https://github.com/ros2/rcl/issues/919>)
  * Contributors: Michel Hidalgo

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 02 Sep 2021 00:00:00 -0000

ros-rolling-rcl-action (3.1.2-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 26 Apr 2021 00:00:00 -0000

ros-rolling-rcl-action (3.1.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 12 Apr 2021 00:00:00 -0000

ros-rolling-rcl-action (3.1.0-1jammy) jammy; urgency=high

  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#909 <https://github.com/ros2/rcl/issues/909>)
  * Contributors: shonigmann

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 06 Apr 2021 00:00:00 -0000

ros-rolling-rcl-action (3.0.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 25 Mar 2021 00:00:00 -0000

ros-rolling-rcl-action (3.0.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 23 Mar 2021 00:00:00 -0000

ros-rolling-rcl-action (2.6.0-1jammy) jammy; urgency=high

  * Don't expect RCL_RET_TIMEOUT to set an error string (#900 <https://github.com/ros2/rcl/issues/900>)
  * Add support for rmw_connextdds (#895 <https://github.com/ros2/rcl/issues/895>)
  * Contributors: Andrea Sorbini

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-rolling-rcl-action (2.5.2-1jammy) jammy; urgency=high

  * Avoid setting error message twice. (#887 <https://github.com/ros2/rcl/issues/887>)
  * Contributors: Chen Lihui

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 05 Feb 2021 00:00:00 -0000

ros-rolling-rcl-action (2.5.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 25 Jan 2021 00:00:00 -0000

ros-rolling-rcl-action (2.5.0-1jammy) jammy; urgency=high

  * Address various clang static analysis fixes (#864 <https://github.com/ros2/rcl/issues/864>)
  * Update QDs to QL 1 (#866 <https://github.com/ros2/rcl/issues/866>)
  * Update QL (#858 <https://github.com/ros2/rcl/issues/858>)
  * Make sure to always check return values (#840 <https://github.com/ros2/rcl/issues/840>)
  * Update deprecated gtest macros (#818 <https://github.com/ros2/rcl/issues/818>)
  * Contributors: Alejandro Hernández Cordero, Audrow Nash, Chris Lalancette, Stephen Brawner

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 08 Dec 2020 00:00:00 -0000

ros-rolling-rcl-action (2.4.0-1jammy) jammy; urgency=high

  * Make sure to check the return value of rcl APIs. (#838 <https://github.com/ros2/rcl/issues/838>)
  * Contributors: Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 19 Oct 2020 00:00:00 -0000

ros-rolling-rcl-action (2.3.0-1jammy) jammy; urgency=high

  * Update maintainers (#825 <https://github.com/ros2/rcl/issues/825>)
  * Store reference to rcl_clock_t instead of copy (#797 <https://github.com/ros2/rcl/issues/797>)
  * Use valid clock in case of issue in rcl_timer_init (#795 <https://github.com/ros2/rcl/issues/795>)
  * Contributors: Ivan Santiago Paunovic, Shane Loretz, brawner

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 19 Oct 2020 00:00:00 -0000

ros-rolling-rcl-action (2.2.0-1jammy) jammy; urgency=high

  * Add fault injection macros and unit tests to rcl_action (#730 <https://github.com/ros2/rcl/issues/730>)
  * Change some EXPECT_EQ to ASSERT_EQ in test_action_server. (#759 <https://github.com/ros2/rcl/issues/759>)
  * Contributors: Chris Lalancette, brawner

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 02 Sep 2020 00:00:00 -0000

ros-rolling-rcl-action (2.1.0-1jammy) jammy; urgency=high

  * Removed doxygen warnings (#712 <https://github.com/ros2/rcl/issues/712>)
  * Address issue 716 by zero initializing pointers and freeing memory (#717 <https://github.com/ros2/rcl/issues/717>)
  * Contributors: Alejandro Hernández Cordero, brawner

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 22 Jul 2020 00:00:00 -0000

ros-rolling-rcl-action (2.0.0-1jammy) jammy; urgency=high

  * Update quality declaration and coverage (#674 <https://github.com/ros2/rcl/issues/674>)
  * Contributors: Alejandro Hernández Cordero

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 09 Jul 2020 00:00:00 -0000

ros-rolling-rcl-action (1.2.0-1jammy) jammy; urgency=high

  * Fixed doxygen warnings (#677 <https://github.com/ros2/rcl/issues/677>)
  * Contributors: Alejandro Hernández Cordero

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 18 Jun 2020 00:00:00 -0000

ros-rolling-rcl-action (1.1.5-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 03 Jun 2020 00:00:00 -0000

ros-rolling-rcl-action (1.1.4-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 02 Jun 2020 00:00:00 -0000

ros-rolling-rcl-action (1.1.3-1jammy) jammy; urgency=high

  * Add Security Vulnerability Policy pointing to REP-2006 (#661 <https://github.com/ros2/rcl/issues/661>)
  * Address unused parameter warnings (#666 <https://github.com/ros2/rcl/issues/666>)
  * Increase test coverage of rcl_action (#663 <https://github.com/ros2/rcl/issues/663>)
  * Contributors: Chris Lalancette, Stephen Brawner

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 01 Jun 2020 00:00:00 -0000

ros-rolling-rcl-action (1.1.2-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 28 May 2020 00:00:00 -0000

ros-rolling-rcl-action (1.1.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 26 May 2020 00:00:00 -0000

ros-rolling-rcl-action (1.1.0-1jammy) jammy; urgency=high

  * Update Quality Declaration for 1.0 (#647 <https://github.com/ros2/rcl/issues/647>)
  * Contributors: Stephen Brawner

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 22 May 2020 00:00:00 -0000

ros-rolling-rcl-action (1.0.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 12 May 2020 00:00:00 -0000

ros-rolling-rcl-action (0.9.1-1jammy) jammy; urgency=high

  * Included features (#644 <https://github.com/ros2/rcl/issues/644>)
  * Quality Declarations for rcl_action, rcl_lifecycle, yaml_parser (#641 <https://github.com/ros2/rcl/issues/641>)
  * Contributors: Alejandro Hernández Cordero, Stephen Brawner

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 08 May 2020 00:00:00 -0000

ros-rolling-rcl-action (0.9.0-1jammy) jammy; urgency=high

  * Export targets in a addition to include directories / libraries (#632 <https://github.com/ros2/rcl/issues/632>)
  * Rename rosidl_generator_c namespace to rosidl_runtime_c (#616 <https://github.com/ros2/rcl/issues/616>)
  * Rename rosidl_generator_cpp namespace to rosidl_runtime_cpp (#615 <https://github.com/ros2/rcl/issues/615>)
  * Changed rosidl_generator_c/cpp to rosidl_runtime_c/cpp (#588 <https://github.com/ros2/rcl/issues/588>)
  * Changed build_depend and build_depend_export dependencies to depend (#577 <https://github.com/ros2/rcl/issues/577>)
  * Code style only: wrap after open parenthesis if not in one line (#565 <https://github.com/ros2/rcl/issues/565>)
  * Check if action status publisher is ready (#541 <https://github.com/ros2/rcl/issues/541>)
  * Contributors: Alejandro Hernández Cordero, Dirk Thomas, Tomoya Fujita

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 29 Apr 2020 00:00:00 -0000

ros-rolling-rcl-action (0.8.3-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 08 Nov 2019 00:00:00 -0000

ros-rolling-rcl-action (0.8.2-1jammy) jammy; urgency=high

  * Correct action server documentation (#519 <https://github.com/ros2/rcl/issues/519>)
  * Add mechanism to pass rmw impl specific payloads during pub/sub creation (#513 <https://github.com/ros2/rcl/issues/513>)
  * Contributors: Jacob Perron, William Woodall

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-rolling-rcl-action (0.8.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 08 Oct 2019 00:00:00 -0000

ros-rolling-rcl-action (0.8.0-1jammy) jammy; urgency=high

  * Fix rcl_action test_graph (#504 <https://github.com/ros2/rcl/issues/504>)
  * remove unused CMake code (#475 <https://github.com/ros2/rcl/issues/475>)
  * Contributors: Mikael Arguedas, ivanpauno

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 26 Sep 2019 00:00:00 -0000

ros-rolling-rcl-action (0.7.4-1jammy) jammy; urgency=high

  * rcl_action - user friendly error messages for invalid transitions (#448 <https://github.com/ros2/rcl/issues/448>)
  * Contributors: Siddharth Kucheria

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 29 May 2019 00:00:00 -0000

ros-rolling-rcl-action (0.7.3-1jammy) jammy; urgency=high

  * Fixed memory leaks in ``rcl_action`` unit tests (#442 <https://github.com/ros2/rcl/issues/442>)
  * Contributors: Prajakta Gokhale

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 20 May 2019 00:00:00 -0000

ros-rolling-rcl-action (0.7.2-1jammy) jammy; urgency=high

  * Update graph test for change to rmw names and types struct (#407 <https://github.com/ros2/rcl/issues/407>)
  * New interfaces and their implementations for QoS features (#408 <https://github.com/ros2/rcl/issues/408>)
  * Add return code to CancelGoal service response (#422 <https://github.com/ros2/rcl/issues/422>)
  * Rmw preallocate (#428 <https://github.com/ros2/rcl/issues/428>)
  * Contributors: Jacob Perron, M. M, Michael Carroll

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 08 May 2019 00:00:00 -0000

ros-rolling-rcl-action (0.7.1-1jammy) jammy; urgency=high

  * Renamed action state transitions (#409 <https://github.com/ros2/rcl/issues/409>)
  * Updated initialization of rmw_qos_profile_t struct instances. (#416 <https://github.com/ros2/rcl/issues/416>)
  * Contributors: Jacob Perron, M. M

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 29 Apr 2019 00:00:00 -0000

ros-rolling-rcl-action (0.7.0-1jammy) jammy; urgency=high

  * Added Action graph API (#411 <https://github.com/ros2/rcl/issues/411>)
  * Updated to use ament_target_dependencies where possible. (#400 <https://github.com/ros2/rcl/issues/400>)
  * Fixed typo in Doxyfile. (#398 <https://github.com/ros2/rcl/issues/398>)
  * Updated tests to use separated action types. (#340 <https://github.com/ros2/rcl/issues/340>)
  * Fixed minor documentation issues. (#397 <https://github.com/ros2/rcl/issues/397>)
  * Set symbol visibility to hidden for rcl. (#391 <https://github.com/ros2/rcl/issues/391>)
  * Fixed rcl_action documentation. (#380 <https://github.com/ros2/rcl/issues/380>)
  * Removed now unused test executable . (#382 <https://github.com/ros2/rcl/issues/382>)
  * Removed unused action server option 'clock_type'. (#382 <https://github.com/ros2/rcl/issues/382>)
  * Set error message when there is an invalid goal transition. (#382 <https://github.com/ros2/rcl/issues/382>)
  * Updated to pass context to wait set, and fini rmw context (#373 <https://github.com/ros2/rcl/issues/373>)
  * Contributors: Dirk Thomas, Jacob Perron, Sachin Suresh Bhat, William Woodall, ivanpauno

 -- Audrow Nash <audrow@openrobotics.org>  Sun, 14 Apr 2019 00:00:00 -0000

ros-rolling-rcl-action (0.6.4-1jammy) jammy; urgency=high

  * Added parentheses around use of zerouuid macro (#371 <https://github.com/ros2/rcl/issues/371>)
  * Fixed logic that moves goal handles when one expires (#360 <https://github.com/ros2/rcl/issues/360>)
  * Updated to avoid timer period being set to 0 (#359 <https://github.com/ros2/rcl/issues/359>)
  * Contributors: Jacob Perron, Shane Loretz

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 11 Jan 2019 00:00:00 -0000

ros-rolling-rcl-action (0.6.3-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 13 Dec 2018 00:00:00 -0000

ros-rolling-rcl-action (0.6.2-1jammy) jammy; urgency=high

  * [rcl_action] Bugfix: arithmetic error
  * Contributors: Jacob Perron

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 13 Dec 2018 00:00:00 -0000

ros-rolling-rcl-action (0.6.1-1jammy) jammy; urgency=high

  * Added wait_for_action_server() for action clients (#349 <https://github.com/ros2/rcl/issues/349>)
  * Updated to adapt to action implicit changes (#353 <https://github.com/ros2/rcl/issues/353>)
  * Added action interaction tests (#352 <https://github.com/ros2/rcl/issues/352>)
  * Enabled test_action_communication to compile against available rmw. (#351 <https://github.com/ros2/rcl/issues/351>)
  * Changed UUID type in action msgs (#338 <https://github.com/ros2/rcl/issues/338>)
  * Added rcl_action_server_is_valid_except_context (#348 <https://github.com/ros2/rcl/issues/348>)
  * Updated to fini even if node context is invalid and reset error (#346 <https://github.com/ros2/rcl/issues/346>)
  * Added timer to action server to check expired goals + asan fixes (#343 <https://github.com/ros2/rcl/issues/343>)
  * Increased timeout for rcl_wait in action tests (#344 <https://github.com/ros2/rcl/issues/344>)
  * Refactored init to not be global (#336 <https://github.com/ros2/rcl/issues/336>)
  * Completes integration tests for action client/server (#331 <https://github.com/ros2/rcl/issues/331>)
  * Updated rcl_action_expire_goals() to output list of expired goals. (#342 <https://github.com/ros2/rcl/issues/342>)
  * Updated process_cancel_request to no longer change goal state (#341 <https://github.com/ros2/rcl/issues/341>)
  * Add action server implementation (#323 <https://github.com/ros2/rcl/issues/323>)
  * Contributors: Alexis Pojomovsky, Jacob Perron, Michel Hidalgo, Shane Loretz, William Woodall

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 07 Dec 2018 00:00:00 -0000

ros-rolling-rcl-action (0.6.0-1jammy) jammy; urgency=high

  * Made rcl_action_get_*_name() functions check for empty action names. #329 <https://github.com/ros2/rcl/issues/329>
  * Implemented Action client #319 <https://github.com/ros2/rcl/issues/319>
  * Added function to check if goal can be transitioned to CANCELING (#325 <https://github.com/ros2/rcl/issues/325>)
  * Implement goal handle (#320 <https://github.com/ros2/rcl/issues/320>)
  * Update to use new error handling API from rcutils (#314 <https://github.com/ros2/rcl/issues/314>)
  * Add action services and topics name getters #317 <https://github.com/ros2/rcl/issues/317>
  * Implement init/fini functions for types (#312 <https://github.com/ros2/rcl/issues/312>)
  * Refactor goal state machine implementation and add unit tests (#311 <https://github.com/ros2/rcl/issues/311>)
  * Add missing visibilty control definitions (#315 <https://github.com/ros2/rcl/issues/315>)
  * Add rcl_action package and headers (#307 <https://github.com/ros2/rcl/issues/307>)
  * Contributors: Jacob Perron, Michel Hidalgo, William Woodall

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 16 Nov 2018 00:00:00 -0000


